package de.dass_it.vanhelsing.gui.items;
public class ClientItem extends ItemType implements UserObjectItem{ 

	private String name;
	private String address;
	private String FDPort;
	private String catalog;
	private String password;
	private String fileRetention;
	private String jobRetention;
	private String autoPrune;
	private String maximumConcurrentJobs;
	private String priority;
	
	public ClientItem() {}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getFDPort() {
		return FDPort;
	}

	public void setFDPort(String fdPort) {
		this.FDPort = fdPort;
	}

	public String getCatalog() {
		return catalog;
	}

	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getFileRetention() {
		return fileRetention;
	}

	public void setFileRetention(String fileRetention) {
		this.fileRetention = fileRetention;
	}

	public String getJobRetention() {
		return jobRetention;
	}

	public void setJobRetention(String jobRetention) {
		this.jobRetention = jobRetention;
	}

	public String getAutoPrune() {
		return autoPrune;
	}

	public void setAutoPrune(String autoPrune) {
		this.autoPrune = autoPrune;
	}

	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}

	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}

	public String getPriority() {
		return priority;
	}

	public void setPriority(String priority) {
		this.priority = priority;
	}

}
